/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.RutaReparto;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface RutaRepartoFacadeLocal {

    void create(RutaReparto rutaReparto);

    void edit(RutaReparto rutaReparto);

    void remove(RutaReparto rutaReparto);

    RutaReparto find(Object id);

    List<RutaReparto> findAll();

    List<RutaReparto> findRange(int[] range);

    int count();

    List<RutaReparto> rutaRepartoListas(String Territorios);

    RutaReparto busquedaRuta(String corelativoReparto);

    List<RutaReparto> rutaRepartoListasAndTipo(String Territorios, int tipo);
}
